From ab592019c9e754cc1b595414ee89bb61eafb6cde Mon Sep 17 00:00:00 2001
From: vignesh <vignesh@localhost.localdomain>
Date: Sat, 16 Nov 2019 22:58:52 +0530
Subject: [PATCH] Make the copyright information consistent in the source
files.

The basic rule we follow here is to include the copyright information in the
beginning of the source files. We generally follow these rules, but the code
has deviated in many places. This commit makes it consistent.
---
 contrib/btree_gin/btree_gin.c             | 12 ++++++++++--
 contrib/btree_gist/btree_bit.c            | 12 ++++++++++--
 contrib/btree_gist/btree_bytea.c          | 12 ++++++++++--
 contrib/btree_gist/btree_cash.c           | 12 ++++++++++--
 contrib/btree_gist/btree_date.c           | 12 ++++++++++--
 contrib/btree_gist/btree_enum.c           | 12 ++++++++++--
 contrib/btree_gist/btree_float4.c         | 12 ++++++++++--
 contrib/btree_gist/btree_float8.c         | 12 ++++++++++--
 contrib/btree_gist/btree_gist.c           | 12 ++++++++++--
 contrib/btree_gist/btree_gist.h           | 12 ++++++++++--
 contrib/btree_gist/btree_inet.c           | 12 ++++++++++--
 contrib/btree_gist/btree_int2.c           | 12 ++++++++++--
 contrib/btree_gist/btree_int4.c           | 12 ++++++++++--
 contrib/btree_gist/btree_int8.c           | 12 ++++++++++--
 contrib/btree_gist/btree_interval.c       | 12 ++++++++++--
 contrib/btree_gist/btree_macaddr.c        | 12 ++++++++++--
 contrib/btree_gist/btree_macaddr8.c       | 12 ++++++++++--
 contrib/btree_gist/btree_numeric.c        | 12 ++++++++++--
 contrib/btree_gist/btree_oid.c            | 12 ++++++++++--
 contrib/btree_gist/btree_text.c           | 12 ++++++++++--
 contrib/btree_gist/btree_time.c           | 12 ++++++++++--
 contrib/btree_gist/btree_ts.c             | 12 ++++++++++--
 contrib/btree_gist/btree_utils_num.c      | 12 ++++++++++--
 contrib/btree_gist/btree_utils_num.h      | 12 ++++++++++--
 contrib/btree_gist/btree_utils_var.c      | 12 ++++++++++--
 contrib/btree_gist/btree_utils_var.h      | 12 ++++++++++--
 contrib/btree_gist/btree_uuid.c           | 12 ++++++++++--
 contrib/citext/citext.c                   | 12 ++++++++++--
 contrib/cube/cube.c                       | 23 ++++++++++++++++-------
 contrib/cube/cubedata.h                   | 12 +++++++++++-
 contrib/earthdistance/earthdistance.c     | 12 +++++++++++-
 contrib/hstore/hstore.h                   | 12 ++++++++++--
 contrib/hstore/hstore_gin.c               | 12 ++++++++++--
 contrib/hstore/hstore_gist.c              | 12 ++++++++++--
 contrib/hstore/hstore_io.c                | 12 ++++++++++--
 contrib/hstore/hstore_op.c                | 12 ++++++++++--
 contrib/hstore_plperl/hstore_plperl.c     | 11 +++++++++++
 contrib/hstore_plpython/hstore_plpython.c | 11 +++++++++++
 contrib/intarray/_int.h                   | 12 ++++++++++--
 contrib/intarray/_int_bool.c              | 12 ++++++++++--
 contrib/intarray/_int_gin.c               | 12 ++++++++++--
 contrib/intarray/_int_gist.c              | 12 ++++++++++--
 contrib/intarray/_int_op.c                | 12 ++++++++++--
 contrib/intarray/_int_tool.c              | 12 ++++++++++--
 contrib/intarray/_intbig_gist.c           | 12 ++++++++++--
 45 files changed, 460 insertions(+), 89 deletions(-)

diff --git a/contrib/btree_gin/btree_gin.c b/contrib/btree_gin/btree_gin.c
index 0ed3d58..3e3733f 100644
--- a/contrib/btree_gin/btree_gin.c
+++ b/contrib/btree_gin/btree_gin.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gin/btree_gin.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_gin.c
+ *
+ * Copyright (c) 2009-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gin/btree_gin.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_bit.c b/contrib/btree_gist/btree_bit.c
index 2225244..0faf727 100644
--- a/contrib/btree_gist/btree_bit.c
+++ b/contrib/btree_gist/btree_bit.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_bit.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_bit.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_bit.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_bytea.c b/contrib/btree_gist/btree_bytea.c
index 6b005f0..56d17c2 100644
--- a/contrib/btree_gist/btree_bytea.c
+++ b/contrib/btree_gist/btree_bytea.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_bytea.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_bytea.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_bytea.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_cash.c b/contrib/btree_gist/btree_cash.c
index 894d0a2..52ab7d6 100644
--- a/contrib/btree_gist/btree_cash.c
+++ b/contrib/btree_gist/btree_cash.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_cash.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_cash.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_cash.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_date.c b/contrib/btree_gist/btree_date.c
index 992ce57..4e50bcf 100644
--- a/contrib/btree_gist/btree_date.c
+++ b/contrib/btree_gist/btree_date.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_date.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_date.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_date.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_enum.c b/contrib/btree_gist/btree_enum.c
index b563012..99e4efe 100644
--- a/contrib/btree_gist/btree_enum.c
+++ b/contrib/btree_gist/btree_enum.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_enum.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_enum.c
+ *
+ * Copyright (c) 2017-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_enum.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_float4.c b/contrib/btree_gist/btree_float4.c
index 6b20f44..02c8dc4 100644
--- a/contrib/btree_gist/btree_float4.c
+++ b/contrib/btree_gist/btree_float4.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_float4.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_float4.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_float4.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_float8.c b/contrib/btree_gist/btree_float8.c
index ee114cb..a902f9a 100644
--- a/contrib/btree_gist/btree_float8.c
+++ b/contrib/btree_gist/btree_float8.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_float8.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_float8.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_float8.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_gist.c b/contrib/btree_gist/btree_gist.c
index e1dc253..6ea46e7 100644
--- a/contrib/btree_gist/btree_gist.c
+++ b/contrib/btree_gist/btree_gist.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_gist.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_gist.c
+ *
+ * Copyright (c) 2001-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_gist.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_gist.h b/contrib/btree_gist/btree_gist.h
index 011285a..2c3191d 100644
--- a/contrib/btree_gist/btree_gist.h
+++ b/contrib/btree_gist/btree_gist.h
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_gist.h
+/*-------------------------------------------------------------------------
+ *
+ * btree_gist.h
+ *
+ * Copyright (c) 2003-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_gist.h
+ *
+ *-------------------------------------------------------------------------
  */
 #ifndef __BTREE_GIST_H__
 #define __BTREE_GIST_H__
diff --git a/contrib/btree_gist/btree_inet.c b/contrib/btree_gist/btree_inet.c
index a3b4301..7d1c2e4 100644
--- a/contrib/btree_gist/btree_inet.c
+++ b/contrib/btree_gist/btree_inet.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_inet.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_inet.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_inet.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_int2.c b/contrib/btree_gist/btree_int2.c
index 7674e2d..1cb53e9 100644
--- a/contrib/btree_gist/btree_int2.c
+++ b/contrib/btree_gist/btree_int2.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_int2.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_int2.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_int2.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_int4.c b/contrib/btree_gist/btree_int4.c
index 80005ab..88aeaa8 100644
--- a/contrib/btree_gist/btree_int4.c
+++ b/contrib/btree_gist/btree_int4.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_int4.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_int4.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_int4.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_int8.c b/contrib/btree_gist/btree_int8.c
index b0fd3e1..db4e97c 100644
--- a/contrib/btree_gist/btree_int8.c
+++ b/contrib/btree_gist/btree_int8.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_int8.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_int8.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_int8.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_interval.c b/contrib/btree_gist/btree_interval.c
index 3a527a7..5295c08 100644
--- a/contrib/btree_gist/btree_interval.c
+++ b/contrib/btree_gist/btree_interval.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_interval.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_interval.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_interval.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_macaddr.c b/contrib/btree_gist/btree_macaddr.c
index 0486c35..3e4d146 100644
--- a/contrib/btree_gist/btree_macaddr.c
+++ b/contrib/btree_gist/btree_macaddr.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_macaddr.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_macaddr.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_macaddr.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_macaddr8.c b/contrib/btree_gist/btree_macaddr8.c
index 30a1391..ec2e28d 100644
--- a/contrib/btree_gist/btree_macaddr8.c
+++ b/contrib/btree_gist/btree_macaddr8.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_macaddr8.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_macaddr8.c
+ *
+ * Copyright (c) 2017-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_macaddr8.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_numeric.c b/contrib/btree_gist/btree_numeric.c
index d43612a..c18a975 100644
--- a/contrib/btree_gist/btree_numeric.c
+++ b/contrib/btree_gist/btree_numeric.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_numeric.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_numeric.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_numeric.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_oid.c b/contrib/btree_gist/btree_oid.c
index 00e7019..fdbcc7e 100644
--- a/contrib/btree_gist/btree_oid.c
+++ b/contrib/btree_gist/btree_oid.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_oid.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_oid.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_oid.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_text.c b/contrib/btree_gist/btree_text.c
index 8019d11..c90af3e 100644
--- a/contrib/btree_gist/btree_text.c
+++ b/contrib/btree_gist/btree_text.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_text.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_text.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_text.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_time.c b/contrib/btree_gist/btree_time.c
index 90cf655..1415df0 100644
--- a/contrib/btree_gist/btree_time.c
+++ b/contrib/btree_gist/btree_time.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_time.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_time.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_time.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_ts.c b/contrib/btree_gist/btree_ts.c
index 49d1849..42bedee 100644
--- a/contrib/btree_gist/btree_ts.c
+++ b/contrib/btree_gist/btree_ts.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_ts.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_ts.c
+ *
+ * Copyright (c) 2003-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_ts.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_utils_num.c b/contrib/btree_gist/btree_utils_num.c
index 7564a40..0ca6520 100644
--- a/contrib/btree_gist/btree_utils_num.c
+++ b/contrib/btree_gist/btree_utils_num.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_utils_num.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_utils_num.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_utils_num.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_utils_num.h b/contrib/btree_gist/btree_utils_num.h
index 50907b3..896fd5e 100644
--- a/contrib/btree_gist/btree_utils_num.h
+++ b/contrib/btree_gist/btree_utils_num.h
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_utils_num.h
+/*-------------------------------------------------------------------------
+ *
+ * btree_utils_num.h
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_utils_num.h
+ *
+ *-------------------------------------------------------------------------
  */
 #ifndef __BTREE_UTILS_NUM_H__
 #define __BTREE_UTILS_NUM_H__
diff --git a/contrib/btree_gist/btree_utils_var.c b/contrib/btree_gist/btree_utils_var.c
index 452241f..c844788 100644
--- a/contrib/btree_gist/btree_utils_var.c
+++ b/contrib/btree_gist/btree_utils_var.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_utils_var.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_utils_var.c
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_utils_var.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/btree_gist/btree_utils_var.h b/contrib/btree_gist/btree_utils_var.h
index 1f2ca43..4c04700 100644
--- a/contrib/btree_gist/btree_utils_var.h
+++ b/contrib/btree_gist/btree_utils_var.h
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_utils_var.h
+/*-------------------------------------------------------------------------
+ *
+ * btree_utils_var.h
+ *
+ * Copyright (c) 2004-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_utils_var.h
+ *
+ *-------------------------------------------------------------------------
  */
 #ifndef __BTREE_UTILS_VAR_H__
 #define __BTREE_UTILS_VAR_H__
diff --git a/contrib/btree_gist/btree_uuid.c b/contrib/btree_gist/btree_uuid.c
index 0b3e52f..c3d38d9 100644
--- a/contrib/btree_gist/btree_uuid.c
+++ b/contrib/btree_gist/btree_uuid.c
@@ -1,5 +1,13 @@
-/*
- * contrib/btree_gist/btree_uuid.c
+/*-------------------------------------------------------------------------
+ *
+ * btree_uuid.c
+ *
+ * Copyright (c) 2016-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/btree_gist/btree_uuid.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/citext/citext.c b/contrib/citext/citext.c
index a4adafe..1823726 100644
--- a/contrib/citext/citext.c
+++ b/contrib/citext/citext.c
@@ -1,5 +1,13 @@
-/*
- * contrib/citext/citext.c
+/*-------------------------------------------------------------------------
+ *
+ * citext.c
+ *
+ * Copyright (c) 2008-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/citext/citext.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/cube/cube.c b/contrib/cube/cube.c
index b98118e..02ec975 100644
--- a/contrib/cube/cube.c
+++ b/contrib/cube/cube.c
@@ -1,10 +1,19 @@
-/******************************************************************************
-  contrib/cube/cube.c
-
-  This file contains routines that can be bound to a Postgres backend and
-  called by the backend in the process of processing queries.  The calling
-  format for these routines is dictated by Postgres architecture.
-******************************************************************************/
+/*-------------------------------------------------------------------------
+ *
+ * cube.c
+ *
+ * Copyright (c) 2000-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/cube/cube.c
+ *
+ * NOTES
+ *	  This file contains routines that can be bound to a Postgres backend and
+ *	  called by the backend in the process of processing queries.  The calling
+ *	  format for these routines is dictated by Postgres architecture.
+ *
+ *-------------------------------------------------------------------------
+ */
 
 #include "postgres.h"
 
diff --git a/contrib/cube/cubedata.h b/contrib/cube/cubedata.h
index dbe7d4f..77a94b5 100644
--- a/contrib/cube/cubedata.h
+++ b/contrib/cube/cubedata.h
@@ -1,4 +1,14 @@
-/* contrib/cube/cubedata.h */
+/*-------------------------------------------------------------------------
+ *
+ * cubedata.h
+ *
+ * Copyright (c) 2000-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/cube/cubedata.h
+ *
+ *-------------------------------------------------------------------------
+ */
 
 /*
  * This limit is pretty arbitrary, but don't make it so large that you
diff --git a/contrib/earthdistance/earthdistance.c b/contrib/earthdistance/earthdistance.c
index e6ebfd1..02c96ba 100644
--- a/contrib/earthdistance/earthdistance.c
+++ b/contrib/earthdistance/earthdistance.c
@@ -1,4 +1,14 @@
-/* contrib/earthdistance/earthdistance.c */
+/*-------------------------------------------------------------------------
+ *
+ * earthdistance.c
+ *
+ * Copyright (c) 1998-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/earthdistance/earthdistance.c
+ *
+ *-------------------------------------------------------------------------
+ */
 
 #include "postgres.h"
 
diff --git a/contrib/hstore/hstore.h b/contrib/hstore/hstore.h
index bf4a565..c5476cc 100644
--- a/contrib/hstore/hstore.h
+++ b/contrib/hstore/hstore.h
@@ -1,5 +1,13 @@
-/*
- * contrib/hstore/hstore.h
+/*-------------------------------------------------------------------------
+ *
+ * hstore.h
+ *
+ * Copyright (c) 2006-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/hstore/hstore.h
+ *
+ *-------------------------------------------------------------------------
  */
 #ifndef __HSTORE_H__
 #define __HSTORE_H__
diff --git a/contrib/hstore/hstore_gin.c b/contrib/hstore/hstore_gin.c
index 4c3a422..a9e326b 100644
--- a/contrib/hstore/hstore_gin.c
+++ b/contrib/hstore/hstore_gin.c
@@ -1,5 +1,13 @@
-/*
- * contrib/hstore/hstore_gin.c
+/*-------------------------------------------------------------------------
+ *
+ * hstore_gin.c
+ *
+ * Copyright (c) 2007-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/hstore/hstore_gin.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/hstore/hstore_gist.c b/contrib/hstore/hstore_gist.c
index e860f1e..74cb875 100644
--- a/contrib/hstore/hstore_gist.c
+++ b/contrib/hstore/hstore_gist.c
@@ -1,5 +1,13 @@
-/*
- * contrib/hstore/hstore_gist.c
+/*-------------------------------------------------------------------------
+ *
+ * hstore_gist.c
+ *
+ * Copyright (c) 2006-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/hstore/hstore_gist.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/hstore/hstore_io.c b/contrib/hstore/hstore_io.c
index 10ec392..c89b0be 100644
--- a/contrib/hstore/hstore_io.c
+++ b/contrib/hstore/hstore_io.c
@@ -1,5 +1,13 @@
-/*
- * contrib/hstore/hstore_io.c
+/*-------------------------------------------------------------------------
+ *
+ * hstore_io.c
+ *
+ * Copyright (c) 2006-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/hstore/hstore_io.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/hstore/hstore_op.c b/contrib/hstore/hstore_op.c
index c54071b..bcdb494 100644
--- a/contrib/hstore/hstore_op.c
+++ b/contrib/hstore/hstore_op.c
@@ -1,5 +1,13 @@
-/*
- * contrib/hstore/hstore_op.c
+/*-------------------------------------------------------------------------
+ *
+ * hstore_op.c
+ *
+ * Copyright (c) 2006-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/hstore/hstore_op.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/hstore_plperl/hstore_plperl.c b/contrib/hstore_plperl/hstore_plperl.c
index 1316b05..17047da 100644
--- a/contrib/hstore_plperl/hstore_plperl.c
+++ b/contrib/hstore_plperl/hstore_plperl.c
@@ -1,3 +1,14 @@
+/*-------------------------------------------------------------------------
+ *
+ * hstore_plperl.c
+ *
+ * Copyright (c) 2015-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/hstore_plperl/hstore_plperl.c
+ *
+ *-------------------------------------------------------------------------
+ */
 #include "postgres.h"
 
 #include "fmgr.h"
diff --git a/contrib/hstore_plpython/hstore_plpython.c b/contrib/hstore_plpython/hstore_plpython.c
index 39bad55..25609e8 100644
--- a/contrib/hstore_plpython/hstore_plpython.c
+++ b/contrib/hstore_plpython/hstore_plpython.c
@@ -1,3 +1,14 @@
+/*-------------------------------------------------------------------------
+ *
+ * hstore_plpython.c
+ *
+ * Copyright (c) 2015-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/hstore_plpython/hstore_plpython.c
+ *
+ *-------------------------------------------------------------------------
+ */
 #include "postgres.h"
 
 #include "fmgr.h"
diff --git a/contrib/intarray/_int.h b/contrib/intarray/_int.h
index f03fdf9..b8e7b11 100644
--- a/contrib/intarray/_int.h
+++ b/contrib/intarray/_int.h
@@ -1,5 +1,13 @@
-/*
- * contrib/intarray/_int.h
+/*-------------------------------------------------------------------------
+ *
+ * _int.h
+ *
+ * Copyright (c) 2003-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/intarray/_int.h
+ *
+ *-------------------------------------------------------------------------
  */
 #ifndef ___INT_H__
 #define ___INT_H__
diff --git a/contrib/intarray/_int_bool.c b/contrib/intarray/_int_bool.c
index fd97690..3ed9476 100644
--- a/contrib/intarray/_int_bool.c
+++ b/contrib/intarray/_int_bool.c
@@ -1,5 +1,13 @@
-/*
- * contrib/intarray/_int_bool.c
+/*-------------------------------------------------------------------------
+ *
+ * _int_bool.c
+ *
+ * Copyright (c) 2003-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/intarray/_int_bool.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/intarray/_int_gin.c b/contrib/intarray/_int_gin.c
index b7958d8..3cb0750 100644
--- a/contrib/intarray/_int_gin.c
+++ b/contrib/intarray/_int_gin.c
@@ -1,5 +1,13 @@
-/*
- * contrib/intarray/_int_gin.c
+/*-------------------------------------------------------------------------
+ *
+ * _int_gin.c
+ *
+ * Copyright (c) 2006-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/intarray/_int_gin.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/intarray/_int_gist.c b/contrib/intarray/_int_gist.c
index 50effc3..546483f 100644
--- a/contrib/intarray/_int_gist.c
+++ b/contrib/intarray/_int_gist.c
@@ -1,5 +1,13 @@
-/*
- * contrib/intarray/_int_gist.c
+/*-------------------------------------------------------------------------
+ *
+ * _int_gist.c
+ *
+ * Copyright (c) 2003-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/intarray/_int_gist.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/intarray/_int_op.c b/contrib/intarray/_int_op.c
index 0e3dcb4..52c83a6 100644
--- a/contrib/intarray/_int_op.c
+++ b/contrib/intarray/_int_op.c
@@ -1,5 +1,13 @@
-/*
- * contrib/intarray/_int_op.c
+/*-------------------------------------------------------------------------
+ *
+ * _int_op.c
+ *
+ * Copyright (c) 2003-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/intarray/_int_op.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/intarray/_int_tool.c b/contrib/intarray/_int_tool.c
index e5f4bd4..e6ec73a 100644
--- a/contrib/intarray/_int_tool.c
+++ b/contrib/intarray/_int_tool.c
@@ -1,5 +1,13 @@
-/*
- * contrib/intarray/_int_tool.c
+/*-------------------------------------------------------------------------
+ *
+ * _int_tool.c
+ *
+ * Copyright (c) 2003-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/intarray/_int_tool.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
diff --git a/contrib/intarray/_intbig_gist.c b/contrib/intarray/_intbig_gist.c
index be51dac..9ce4c9b 100644
--- a/contrib/intarray/_intbig_gist.c
+++ b/contrib/intarray/_intbig_gist.c
@@ -1,5 +1,13 @@
-/*
- * contrib/intarray/_intbig_gist.c
+/*-------------------------------------------------------------------------
+ *
+ * _intbig_gist.c
+ *
+ * Copyright (c) 2003-2019, PostgreSQL Global Development Group
+ *
+ * IDENTIFICATION
+ *	  contrib/intarray/_intbig_gist.c
+ *
+ *-------------------------------------------------------------------------
  */
 #include "postgres.h"
 
-- 
1.8.3.1

